// example of permanent shock
periods 200;

var c k;
varexo x;

parameters alph gam delt bet aa;
alph=0.5;
gam=0.5;
delt=0.02;
bet=0.05;
aa=0.5;


model;
c + k - aa*x*k(-1)^alph - (1-delt)*k(-1);
c^(-gam) - (1+bet)^(-1)*(aa*alph*x(+1)*k^(alph-1) + 1 - delt)*c(+1)^(-gam);
end;

initval;
x = 1;
k = 10;
c = 1;
end;

steady;

check;

endval;
x = 1.2;
k = 10;
c = 1;
end;

steady;

check;

simul;

rplot c;
rplot k;
